package com.cab.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cab.model.PointsDetail;

public interface PointsDetailMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PointsDetail record);

    int insertSelective(PointsDetail record);

    PointsDetail selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PointsDetail record);

    int updateByPrimaryKey(PointsDetail record);
    
    List<PointsDetail> getPointsDetail(@Param("userId") String userId,@Param("type")Integer type,@Param("start") Long start,@Param("limit") Long limit);
    
    List<PointsDetail> getTodayPoints(@Param("userId") String userId);
    
    PointsDetail selectByType(@Param("type") Integer type,@Param("userId") String userId);
}